
Robotics Service Bus - Bug #1017
Registering RPC method with return type None in Python fails
06/21/2012 05:46 PM - J.-C. Seele

Status: Resolved Start date: 06/21/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7
Description

using this method threw a ValueError because return type handling is broken:
createServer(Scope(RSB_SCOPE), object = self, expose = [ ('stopRunner', type(None), type(None)) ])

Associated revisions
Revision fa3826ba - 06/21/2012 05:49 PM - J. Moringen
Fixed handling of noarg/noreturn methods in rsb/patterns/__init__.py
fixes #1017
    -  rsb/patterns/__init__.py: handle callbacks implementing methods

  without argument and/or without return value properly; allow calling
  remote methods without arguments

Revision ef50aa2c - 06/22/2012 03:27 PM - J. Moringen
Fix for commit r3614
refs #1017
    -  rsb/patterns/__init__.py: use requestType property correctly in

  LocalMethod._handleRequest

Revision b48d0c97 - 06/22/2012 03:30 PM - J. Moringen

backported r3618, r3614 from trunk, refs #1017

History
#1 - 06/21/2012 05:50 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3614.

#2 - 06/21/2012 05:50 PM - J. Moringen
- Category set to Python
- Status changed from Resolved to Feedback
- Target version set to rsb-0.7

Please check, whether the change fixes the issue.
#3 - 06/22/2012 11:56 AM - J.-C. Seele

Nothing changed on rsb-python 0.6 reinstalled with gar-installer. Is this the version that was fixed?

#4 - 06/22/2012 12:37 PM - J. Moringen

The fix is in the trunk version.

#5 - 06/22/2012 03:31 PM - J. Moringen
- Status changed from Feedback to Resolved
